Subject: bug#36283: [External] : bug#36283: 27.0.50; hl-line-mode updates the wrong window after clone-indirect-buffer

From: Drew Adams <[email-masked]>
Date: Mon, 1 Feb 2021 16:09:49 +0000

> I'm not sure it's a bug, though?  `hl-line-mode' switches on
> highlighting in one specific buffer.  An indirect buffer is a new
> buffer, and if you want line highlighting there, you should switch it
> on there, I think?  Automatically switching on the mode in the indirect
> buffer would be surprising, I think.

That's the correct answer.  Users should be
able to use indirect buffers as the different
buffers they are.  They can use whatever
minor modes they want in whichever indirect
buffers they want.